Method: supportEventSubscriptions.list

Lists support event subscriptions.

EXAMPLES:

cURL:

parent="organizations/123456789"
curl \
  --header "Authorization: Bearer $(gcloud auth print-access-token)" \
  "https://cloudsupport.googleapis.com/v2/$parent/supportEventSubscriptions"

Python:

import googleapiclient.discovery

apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
    serviceName="cloudsupport",
    version=apiVersion,
    discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)

request = supportApiService.supportEventSubscriptions().list(
    parent="organizations/123456789"
)
print(request.execute())

HTTP request

GET https://cloudsupport.googleapis.com/v2/{parent=*/*}/supportEventSubscriptions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The fully qualified name of the Cloud resource to list support event subscriptions under. Format: organizations/{organizationId}

Query parameters

Parameters
filter

string

Optional. Filter expression based on AIP-160. Supported fields: - pubSubTopic - state

Examples: - pubSubTopic="projects/example-project/topics/example-topic" - state=WORKING - pubSubTopic="projects/example-project/topics/example-topic" AND state=WORKING

showDeleted

boolean

Optional. Whether to show deleted subscriptions. By default, deleted subscriptions are not returned.

pageSize

integer

Optional. The maximum number of support event subscriptions to return.

pageToken

string

Optional. A token identifying the page of results to return. If unspecified, the first page is retrieved.

When paginating, all other parameters provided to supportEventSubscriptions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for supportEventSubscriptions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "supportEventSubscriptions": [
    {
      object (SupportEventSubscription)
    }
  ],
  "nextPageToken": string
}
Fields
supportEventSubscriptions[]

object (SupportEventSubscription)

The support event subscriptions.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsupport
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.